:root {
    --input-padding-x: 1.5rem;
    --input-padding-y: .75rem;
}
body {
    background: #17215f;
    background: linear-gradient(to right, #17215f, #33AEFF);
}

html,
body {
    overscroll-behavior: none;
    -ms-scroll-chaining: none;
    scroll-behavior: smooth;
    overscroll-behavior-y: none;
    height: 100vh;
}

.card-signin {
    border: 0;
    border-radius: 1rem;
    box-shadow: 0 0.5rem 1rem 0 rgba(0, 0, 0, 0.1);
    overflow: hidden;
}

.card-signin .card-title {
    margin-bottom: 2rem;
    font-weight: 300;
    font-size: 1.5rem;
}

.card-signin .card-img-left {
    width: 45%;
    background-position: center;
    background-attachment: scroll;
    background-size: cover;
}

.card-signin .card-body {
    padding: 2rem;
    min-height: 60vh;
    max-width: 60%;
    min-width: 60%;
}

[data-WebAuthn]:hover{
    background-color: #00cd18;
    border-color: #198754;
}

@media only screen and (max-width: 992px){ 
    .card-signin .card-body {
        max-width: inherit;
        min-width: inherit;
    }
}

.form-signin {
    width: 100%;
}

.form-signin .btn {
    font-size: 80%;
    border-radius: 5rem;
    letter-spacing: 0px;
    font-weight: 600;
    padding: 1rem;
    transition: all 0.2s;
    text-transform: uppercase;
}

.form-label-group {
    position: relative;
    margin-bottom: 1rem;
}

.form-label-group input {
    height: auto;
    border-radius: 2rem;
}

.form-label-group input,
.form-label-group label {
    padding: var(--input-padding-y) var(--input-padding-x);
}
.form-label-group .input-group-prepend{
    display: flex;
}
.form-label-group .input-group-prepend .input-group-text{
    border-top-left-radius: 2rem;
    border-bottom-left-radius: 2rem;
}
.form-label-group label {
    position: absolute;
    top: 0;
    left: 0;
    display: block;
    width: 100%;
    margin-bottom: 0;
    line-height: 1.5;
    color: #495057;
    border: 1px solid transparent;
    border-radius: .25rem;
    transition: all .1s ease-in-out;
    pointer-events: none;
}

.form-label-group input::-webkit-input-placeholder {
    color: transparent;
}

.form-label-group input:-ms-input-placeholder {
    color: transparent;
}

.form-label-group input::-ms-input-placeholder {
    color: transparent;
}

.form-label-group input::-moz-placeholder {
    color: transparent;
}

.form-label-group input::placeholder {
    color: transparent;
}

.form-label-group input:not(:placeholder-shown) {
    padding-top: calc(var(--input-padding-y) + var(--input-padding-y) * (2 / 3));
    padding-bottom: calc(var(--input-padding-y) / 3);
}

.form-label-group input:not(:placeholder-shown)~label {
    padding-top: calc(var(--input-padding-y) / 3);
    padding-bottom: calc(var(--input-padding-y) / 3);
    font-size: 12px;
    color: #777;
}
.btn-google {
    color: white;
    background-color: #ea4335;
}

.btn-facebook {
    color: white;
    background-color: #3b5998;
}

.brand-logo {
    display: flex;
    flex-direction: initial;
    align-items: flex-start;
    justify-content: space-between;
    margin-bottom: 20px;
}
.brand-logo a {
    display:flex;
}

.brand-logo img {
    max-height: 25px;
    display: block;
}
.long-text-label{
    margin-bottom: 7px;
    font-size: 11px;
    line-height: 12px;
}
.alert p {
    font-size: 12px;
}
.btn-outline-light:hover {
    background-color: #ededed;
    border-color: #ededed;
}
.magic-message {
    display: none;
    padding: 20px;
    border: 1px solid #f5f5f5;
    border-radius: 1rem;
    background-color: #f5f5f5;
    text-align: center;
}
.magic-message strong{}
.magic-message p{
    font-size: 14px;
}
.magic-message img{
    height: 60px;
    margin-bottom: 30px;
}
[data-ip] small{
    font-size: 11px;
}
.font-12 {
    font-size: 14px;
}
.grecaptcha-badge{
    visibility: visible!important;
}
.copyright-cms, .copyright-cms *{
    font-size: 11px !important;
    opacity: 0.7;
    color: #fff !important;
    text-align: right;
}
.copyright-cms:hover, .copyright-cms:hover .copyright-cms *{
    opacity: 1;
}
body.swal2-shown > [aria-hidden="true"] {
  transition: 0.1s filter;
  filter: blur(10px);
}
.swal2-timer-progress-bar {
    background: rgb(11 110 253 / 80%) !important;
}